Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://{host}/extern/svr/{accountTypeId}/account/{accountId}/intent/{intentId} \ --header 'X-API-Key: <api-key>'
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}}; fetch('https://{host}/extern/svr/{accountTypeId}/account/{accountId}/intent/{intentId}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://{host}/extern/svr/{accountTypeId}/account/{accountId}/intent/{intentId}" headers = {"X-API-Key": "<api-key>"} response = requests.get(url, headers=headers) print(response.text)
{ "status": "<string>", "data": { "intentId": "<string>", "expiresAt": "2023-11-07T05:31:56Z", "createdAt": "2023-11-07T05:31:56Z", "externalRef": "<string>", "requestParams": "<unknown>", "quoteSummary": "<unknown>", "lockedAt": "2023-11-07T05:31:56Z", "lockedBy": "<string>", "txHashes": [ "<string>" ], "chainIds": [ 123 ], "settledAt": "2023-11-07T05:31:56Z", "errorMessage": "<string>", "payload": "<unknown>" } }
{ "status": "<string>", "message": "<string>" }
Server-to-server API key
Success
"success"
Show child attributes
Was this page helpful?